Results 1 to 3 of 3

Thread: View/convert lossless JPEG files in ubuntu

  1. #1
    Join Date
    Sep 2008
    Beans
    54
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Exclamation View/convert lossless JPEG files in ubuntu

    I cannot seem to view lossless jpeg files under ubuntu, and I cannot convert them to a more opensource friendly format with image magick.

    Does anyone know how I would be able to view/convert lossless JPEG files under ubuntu?

    When I open the files, image viewer states the following:

    Code:
    Could not load image 'Page 000 0.jpg'.
    Error interpreting JPEG image file
    (Unsupported JPEG process: SOF type 0xc3)
    And when I try to convert from the command line I get this:
    Code:
    home@home-desktop:~/Lossless$ convert *.jpg *.png
    convert: Unsupported JPEG process: SOF type 0xc3 `Page 000 0.jpg' @ coders/jpeg.c/EmitMessage/231.

  2. #2
    Join Date
    Apr 2009
    Beans
    1,173

    Re: View/convert lossless JPEG files in ubuntu

    Apparently Gimp can read a JPEG2000 file, but will write it as a JPEG. DigiKam can read and write back as JPEG2000. ImageMagick claims to both read and write, but is reported to write a JPEG. I guess there are patent issues that limit the use of JPEG2000, especially when writing.

    So you can view and convert with Gimp or DigiKam.

    Edit: Gimp via plugin http://registry.gimp.org/node/9899
    Last edited by StuartN; September 12th, 2009 at 02:14 AM.

  3. #3
    Join Date
    Sep 2008
    Beans
    54
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Exclamation Re: View/convert lossless JPEG files in ubuntu

    I cannot get the gimp plugin to compile, and I can neither get digicam to install, it stops with the following error message:
    Code:
    Could not mark all packages for installation or upgrade
    The following packages have unresolvable dependencies. Make sure that all required repositories are added and enabled in the preferences.
    digikam:
     Depends: libqt4-sql-sqlite but it is not going to be installed
    Checked my repo's they are, multiverse, and all others are enabled.

    Digikam has on-the-fly jpeg 2000 support according to its makers (http://www.digikam.org/drupal/node/362), so I assume it works, to be confirmed if someone knows how to resolve this dependency error?

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •